Package org.eclipse.m2m.atl.engine.vm

# Class ASMField

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMField

public class ASMField extends Object

## Constructor Summary

Constructors
Constructor
Description
`ASMField(String name, String type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMField

public ASMField(String name, String type)

## Method Details

### getName

public String getName()

### getType

public String getType()